Page MenuHomePhabricator

Makefile_Evas.am: Invoke bash for gen_shaders*.sh
ClosedPublic

Authored by c on Apr 8 2015, 4:04 PM.

Details

Reviewers
cedric
Summary

Fixes src-on-NFS builds on FreeBSD, especially when the current shell is
not bash.

Test Plan

Before:

  SHADERS  modules/evas/engines/gl_common/shader/evas_gl_shaders.x
gmake[4]: modules/evas/engines/gl_common/shader/gen_shaders.sh: Command not found
Makefile:34122: recipe for target 'modules/evas/engines/gl_common/shader/evas_gl_shaders.x' failed
gmake[4]: *** [modules/evas/engines/gl_common/shader/evas_gl_shaders.x] Error 127

Even manually adjusting path doesn't fix it (and the file is clearly +x):

$ ls -l src/modules/evas/engines/gl_common/shader/gen_shaders.sh
-rwxrwxrwx  1 1000  1000  1848 Apr  8 17:01 src/modules/evas/engines/gl_common/shader/gen_shaders.sh
$ export PATH="$PATH:$(pwd)/src"
$ modules/evas/engines/gl_common/shader/gen_shaders.sh
zsh: no such file or directory: modules/evas/engines/gl_common/shader/gen_shaders.sh

After patch:

SHADERS  modules/evas/engines/gl_common/shader/evas_gl_shaders.x
CC       modules/evas/engines/software_x11/modules_evas_engines_software_x11_module_la-evas_x_egl.lo
CC       modules/evas/engines/software_x11/modules_evas_engines_software_x11_module_la-evas_xlib_swapbuf.lo
...

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped
c updated this revision to Diff 5297.Apr 8 2015, 4:04 PM
c retitled this revision from to Makefile_Evas.am: Invoke sh for gen_shaders (fixes src-on-NFS builds on FreeBSD).
c updated this object.
c edited the test plan for this revision. (Show Details)
c added a project: efl.
c changed the visibility from "All Users" to "Public (No Login Required)".
c planned changes to this revision.Apr 8 2015, 6:44 PM

This is incomplete. I will update for master (adds shaders_3d) and invoke with bash specifically (uses non-sh features and shebang line specifies bash).

c updated this revision to Diff 5299.Apr 8 2015, 6:55 PM
c retitled this revision from Makefile_Evas.am: Invoke sh for gen_shaders (fixes src-on-NFS builds on FreeBSD) to Makefile_Evas.am: Invoke bash for gen_shaders*.sh.
c updated this object.

Rebase against master, add new 3d SHADERS as well.

cedric accepted this revision.Apr 10 2015, 2:53 AM
cedric added a reviewer: cedric.
This revision is now accepted and ready to land.Apr 10 2015, 2:53 AM
cedric closed this revision.Apr 10 2015, 2:53 AM
c added a comment.Apr 12 2015, 4:22 PM

Thanks!